/* Сохраняем версию библиотеке jQuery, подключаемую в рамках модуля, в специальную переменную */
var	$jqCourtCaseStats = jQuery.noConflict();

/* Предыдущую подключенную версию библиотеки сохраняем в переменную jQuery */
jQuery = $;

(function($){
	/* Функция для вывода круговых диаграмм со статистикой по количеству дел */
	$(function(){
	Raphael.fn.pieChart = function (cx, cy, r, values, stroke) {
	    var paper = this,
	        rad = Math.PI / 180,
	        chart = this.set();

	    function sector(cx, cy, r, startAngle, endAngle, params) {
	        var x1 = cx + r * Math.cos(-startAngle * rad),
	            x2 = cx + r * Math.cos(-endAngle * rad),
	            y1 = cy + r * Math.sin(-startAngle * rad),
	            y2 = cy + r * Math.sin(-endAngle * rad);
	        return paper.path(['M', cx, cy, 'L', x1, y1, 'A', r, r, 0,
							   +(endAngle - startAngle > 180), 0,
							   x2, y2, 'z']).attr(params);
	    }

	    var angle = 0,
	        total = 0,
	        start = 0,
	        process = function (j) {
	            var colors = ['#4f7d00', '#0785bc', '#383c45', '#75797e'],
					value = values[j],
	                angleplus = 360 * value / total,
	                popangle = angle + (angleplus / 2),
	                color = 'hsb(' + start + ', 1, .5)',
	                ms = 500,
	                delta = 30,
	                bcolor = 'hsb(' + start + ', 1, 1)',
	                p = sector(cx, cy, r, angle, angle + angleplus, {
						fill: colors[j],
						stroke: stroke,
						'stroke-width': 1
					}),
	                txt1 = paper.text(cx + (r + delta-60) * Math.cos(-popangle * rad),
									  cy + (r + delta - 60) * Math.sin(-popangle * rad),
									  parseInt(values[j])+'%').attr({
										fill: '#fff',
										stroke: 'none',
										'font-family': 'Fontin-Sans, Arial',
										'font-size': '12px'
									  });

	            p.mouseover(function () {
	                p.animate({ scale: [1.1, 1.1, cx, cy] }, ms, 'elastic');
	            }).mouseout(function () {
	                p.animate({ scale: [1, 1, cx, cy] }, ms, 'elastic');
	            });
	            angle += angleplus;
	            chart.push(p);
	            chart.push(txt1);
	            start += .1;
	        };

	    for (var i = 0, ii = values.length; i < ii; i++) {
	        total += values[i];
	    }

	    for (var i = 0; i < ii; i++) {
	        process(i);
	    }

	    return chart;
	}
	});


	$(function() {
		(function (raphael) {
			$(function() {
				var values = [],
					$values = $('.js-stat-value', '#ajax-stat');
				
				$values.each(function() {
					var $this = $(this),
						value = $this.text();
					
					if (value != 0) {
						values.push(parseInt(value, 10));
					}
				});
				
				if (values[0]) {
					raphael('holder', 282, 282).pieChart(141, 141, 100, values, '#fff');
				} else {
					$('#holder').height(0);
				}
			});
		})(Raphael.ninja());
	});

	//уменьшение высоты блока статистики для ФАСМО
	$(function() {
		var court = $('.stat');
		if (court.find('.fasmo_stat-applications')) {
			court.css('height', '399px');
		} else {
			$('#ajax-stat').height('590');
		}
	});
})($jqCourtCaseStats);
